name: bpnet
channels:
- bioconda
- pytorch
- conda-forge
- defaults
dependencies:
- python=3.6

# genomics
- pybedtools>=0.7.10
- bedtools>=2.27.1
- pybigwig>=0.3.10
- pysam>=0.14.0
- genomelake>=0.1.4

- pytorch  # optional for data-loading
- cython
- h5py>=2.7.0
- numpy

- pandas>=0.23.0
- fastparquet
- python-snappy

- nb_conda
- pip
- pip:
  - git+https://github.com/kundajelab/DeepExplain.git

  # ML & numerics
  - tensorflow>=1.7,<=1.14  # tensorflow-gpu==1.7 for gpu

  # bpnet package
  - .[dev,extras]  # install the local basepair package. All the other required pip packages are specified in the setup.py
